commit:     73e65bcd7acaa8464f6cb7f52c7b31ad9ea8dd3c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 12 07:52:05 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 12 08:02:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73e65bcd

dev-python/typed-ast: Bump to 1.4.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/typed-ast/Manifest               |  1 +
 dev-python/typed-ast/typed-ast-1.4.3.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/typed-ast/Manifest b/dev-python/typed-ast/Manifest
index b460047a991..3e2e8e9f819 100644
--- a/dev-python/typed-ast/Manifest
+++ b/dev-python/typed-ast/Manifest
@@ -1 +1,2 @@
 DIST typed_ast-1.4.2.tar.gz 208583 BLAKE2B 
fb94967409c073b3390a133232259605aab0ee893fe53deb0e97a07c814b1c2021815beab4fa680653f75a44b53eb3f02d7c9e330cf51195c2dd668762c9e0be
 SHA512 
9a46f2a4c48bd267445a773463771824be958dfdd1a2df21356d0a763ee2029b51d5b0fddeb16df202f89ba86019640ab45ba520fdad5c550250fe2a135605fe
+DIST typed_ast-1.4.3.tar.gz 210893 BLAKE2B 
9e0bbaac73d97c13303c783d4e91b015570d9b9ad74361e1bcfe67259982459003ea6c24602ce004fe1447c4375090d5fa58006e18af28da256f6b25d9aa20b1
 SHA512 
7ac06e277c883afd1a7161601ffca0114aa63db257695a4bf4c64d819a7192fe52167edb57991aefc7accc6a9902b5faf2ba9e4032c4b9be31f1db7a091607c9

diff --git a/dev-python/typed-ast/typed-ast-1.4.3.ebuild 
b/dev-python/typed-ast/typed-ast-1.4.3.ebuild
new file mode 100644
index 00000000000..a4e8f203401
--- /dev/null
+++ b/dev-python/typed-ast/typed-ast-1.4.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+DESCRIPTION="Python typed-ast backported"
+HOMEPAGE="https://pypi.org/project/typed-ast/ 
https://github.com/python/typed_ast";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/_}/${P/-/_}.tar.gz"
+S="${WORKDIR}/${P/-/_}"
+
+LICENSE="Apache-2.0 MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+       cd "${BUILD_DIR}" || die
+       epytest
+}

Reply via email to